[@bigcommerce/checkout-sdk](../README.md) / ShippingAddressSelector

# Interface: ShippingAddressSelector

## Table of contents

### Methods

- [getShippingAddress](ShippingAddressSelector.md#getshippingaddress)
- [getShippingAddressOrThrow](ShippingAddressSelector.md#getshippingaddressorthrow)
- [getShippingAddresses](ShippingAddressSelector.md#getshippingaddresses)
- [getShippingAddressesOrThrow](ShippingAddressSelector.md#getshippingaddressesorthrow)

## Methods

### getShippingAddress

▸ **getShippingAddress**(): `undefined` \| [`Address`](Address.md)

#### Returns

`undefined` \| [`Address`](Address.md)

___

### getShippingAddressOrThrow

▸ **getShippingAddressOrThrow**(): [`Address`](Address.md)

#### Returns

[`Address`](Address.md)

___

### getShippingAddresses

▸ **getShippingAddresses**(): [`Address`](Address.md)[]

#### Returns

[`Address`](Address.md)[]

___

### getShippingAddressesOrThrow

▸ **getShippingAddressesOrThrow**(): [`Address`](Address.md)[]

#### Returns

[`Address`](Address.md)[]
